/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2007. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INSTR_DESC                2
#define  PANEL_RESET                     3
#define  PANEL_FREQ                      4
#define  PANEL_LEVEL                     5
#define  PANEL_CONSTELL                  6
#define  PANEL_IN_SELECT_HP              7
#define  PANEL_CODE_RATE_HP              8
#define  PANEL_MODE_HP                   9
#define  PANEL_IN_SELECT_LP              10
#define  PANEL_CODE_RATE_LP              11
#define  PANEL_MODE_LP                   12
#define  PANEL_FFT_MODE                  13
#define  PANEL_STUFFING_LP               14
#define  PANEL_STUFFING_HP               15
#define  PANEL_RF_STATE                  16
#define  PANEL_DVBH_STATE                17
#define  PANEL_MOD_STATE                 18
#define  PANEL_IDQUERY                   19
#define  PANEL_Exit                      20      /* callback function: exitApp */
#define  PANEL_APPLY                     21      /* callback function: apllySettings */
#define  PANEL_TEXT                      22
#define  PANEL_SOURCE_LP                 23
#define  PANEL_SOURCE_HP                 24
#define  PANEL_TEXTMSG_2                 25
#define  PANEL_TEXTMSG                   26
#define  PANEL_DECORATION_2              27
#define  PANEL_DECORATION                28
#define  PANEL_DECORATION_4              29
#define  PANEL_DECORATION_5              30
#define  PANEL_TEXTMSG_3                 31
#define  PANEL_TEXTMSG_4                 32


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK apllySettings(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitApp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
